scala

# Tuple3

#### case class Tuple3[+T1, +T2, +T3](_1: T1, _2: T2, _3: T3) extends Product3[T1, T2, T3] with Product with Serializable

A tuple of 3 elements; the canonical representation of a scala.Product3.

_1

  Element 1 of this Tuple3

_2

  Element 2 of this Tuple3

_3

  Element 3 of this Tuple3

Annotations
  @deprecatedInheritance( ... , "2.11.0" )
Source
  Tuple3.scala

Linear Supertypes
Serializable, java.io.Serializable, Product3[T1, T2, T3], Product, Equals, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Tuple3
2. Serializable
3. Serializable
4. Product3
5. Product
6. Equals
7. AnyRef
8. Any

Implicitly

1. by tuple3ToZippedOps
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Tuple3(_1: T1, _2: T2, _3: T3)

   Create a new tuple with 3 elements.

   Create a new tuple with 3 elements. Note that it is more idiomatic to create a Tuple3 via `(t1, t2, t3)`

   _1

     Element 1 of this Tuple3

   _2

     Element 2 of this Tuple3

   _3

     Element 3 of this Tuple3

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from (T1, T2, T3) to any2stringadd[(T1, T2, T3)] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): ((T1, T2, T3), B)

   Implicit information
     This member is added by an implicit conversion from (T1, T2, T3) to ArrowAssoc[(T1, T2, T3)] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### val _1: T1

   Element 1 of this Tuple3

   Element 1 of this Tuple3

   Definition Classes
     Tuple3 → Product3

7. #### val _2: T2

   Element 2 of this Tuple3

   Element 2 of this Tuple3

   Definition Classes
     Tuple3 → Product3

8. #### val _3: T3

   Element 3 of this Tuple3

   Element 3 of this Tuple3

   Definition Classes
     Tuple3 → Product3

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def ensuring(cond: ((T1, T2, T3)) ⇒ Boolean, msg: ⇒ Any): (T1, T2, T3)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3) to Ensuring[(T1, T2, T3)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: ((T1, T2, T3)) ⇒ Boolean): (T1, T2, T3)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3) to Ensuring[(T1, T2, T3)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): (T1, T2, T3)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3) to Ensuring[(T1, T2, T3)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): (T1, T2, T3)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3) to Ensuring[(T1, T2, T3)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3) to StringFormat[(T1, T2, T3)] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def invert[El1, CC1[X] <: TraversableOnce[X], El2, CC2[X] <: TraversableOnce[X], El3, CC3[X] <: TraversableOnce[X], That](implicit w1: <:<[T1, CC1[El1]], w2: <:<[T2, CC2[El2]], w3: <:<[T3, CC3[El3]], bf: CanBuildFrom[CC1[_], (El1, El2, El3), That]): That

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3) to Ops[T1, T2, T3] performed by method tuple3ToZippedOps in scala.Predef.
    Definition Classes
      Ops

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def productArity: Int

    The arity of this product.

    The arity of this product.

    returns

      3

    Definition Classes
      Product3 → Product

25. #### def productElement(n: Int): Any

    Returns the n-th projection of this product if 0 < n <= productArity, otherwise throws an `IndexOutOfBoundsException`.

    Returns the n-th projection of this product if 0 < n <= productArity, otherwise throws an `IndexOutOfBoundsException`.

    n

      number of the projection to be returned

    returns

      same as `._(n+1)`, for example `productElement(0)` is the same as `._1`.

    Definition Classes
      Product3 → Product
    Annotations
      @throws( clazz = classOf[IndexOutOfBoundsException] )
    Exceptions thrown
      IndexOutOfBoundsException

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      Tuple3 → AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### val x: (T1, T2, T3)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3) to Ops[T1, T2, T3] performed by method tuple3ToZippedOps in scala.Predef.
    Definition Classes
      Ops

32. #### def zipped[El1, Repr1, El2, Repr2, El3, Repr3](implicit w1: (T1) ⇒ TraversableLike[El1, Repr1], w2: (T2) ⇒ IterableLike[El2, Repr2], w3: (T3) ⇒ IterableLike[El3, Repr3]): Tuple3Zipped[El1, Repr1, El2, Repr2, El3, Repr3]

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3) to Ops[T1, T2, T3] performed by method tuple3ToZippedOps in scala.Predef.
    Definition Classes
      Ops

33. #### def →[B](y: B): ((T1, T2, T3), B)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3) to ArrowAssoc[(T1, T2, T3)] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product3[T1, T2, T3]

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion tuple3ToZippedOps from (T1, T2, T3) to Ops[T1, T2, T3]

### Inherited by implicit conversion any2stringadd from (T1, T2, T3) to any2stringadd[(T1, T2, T3)]

### Inherited by implicit conversion StringFormat from (T1, T2, T3) to StringFormat[(T1, T2, T3)]

### Inherited by implicit conversion Ensuring from (T1, T2, T3) to Ensuring[(T1, T2, T3)]

### Inherited by implicit conversion ArrowAssoc from (T1, T2, T3) to ArrowAssoc[(T1, T2, T3)]

### Ungrouped